Subject: bug#57364: 28.1.91; asynchronous X server error when creating a second frame on alternate DISPLAY

From: andrés ramírez <[email-masked]>
Date: Fri, 26 Aug 2022 01:50:37 +0000

Hi. Po.

>>>>> "Po" == Po Lu <[email-masked]> writes:

[...]

    Po> Are you sure you enabled X synchronization correctly?
    
I think that is the right way.
--8<---------------cut here---------------start------------->8---
gdb -i=mi --args ./emacs -Q -f toggle-debug-on-error --eval '(setq x-command-line-resources emacs.synchronous: true)' --fg-daemon
--8<---------------cut here---------------end--------------->8---

And also take in account, that the error is not reproducible in this
condition. 

I have had a question on my mind?
Inspecting the last backtrace I have published on this bug report.

I see the error is recovered in a call on the function x_frame_highlight
(within the call to x_catch_error). Why If
I am calling close-display-connection. Some functions need to be called?
I think for the frames on this display. Nothing should be called on those frames
that belong to this display.

WDYT?

Best Regards